gnutls_x509_crt_set_proxy(3)

NAME
gnutls_x509_crt_set_proxy - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crt_set_proxy(gnutls_x509_crt_t crt, int pathLenConstraint, const char * policyLanguage, const char * policy, size_t sizeof_policy);

ARGUMENTS

gnutls_x509_crt_t crt
    a certificate of type gnutls_x509_crt_t

int pathLenConstraint
    non-negative values indicate maximum length of path, and negative values indicate that the pathLenConstraints field should not be present.

const char * policyLanguage
    OID describing the language of policy.

const char * policy
    opaque byte array with policy language, can be NULL

size_t sizeof_policy
    size of policy.

DESCRIPTION
This function will set the proxyCertInfo extension.

RETURNS
On success, GNUTLS_E_SUCCESS is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.